Bug 819733 - (CVE-2012-2328) CVE-2012-2328 sblim: hash table collisions CPU usage DoS
CVE-2012-2328 sblim: hash table collisions CPU usage DoS
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120221,reported=2...
: Security
Depends On: 803391
Blocks: 819734
  Show dependency treegraph
 
Reported: 2012-05-08 01:45 EDT by Kurt Seifried
Modified: 2015-08-19 05:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2012-05-08 01:45:55 EDT
Juraj Somorovsky reported that certain XML parsers/servers are affected by the
same, or similar, flaw as the hash table collisions CPU usage denial of
service.  Sending a specially crafted message to an XML service can result in
longer processing time, which could lead to a denial of service.  It is
reported that this attack on XML can be applied on different XML nodes (such as
entities, element attributes, namespaces, various elements in the XML security,
etc.).

sblim is written in Java and makes significant use of arrays.
Comment 4 errata-xmlrpc 2012-06-20 03:22:39 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0987 https://rhn.redhat.com/errata/RHSA-2012-0987.html
Comment 6 Tomas Hoger 2012-07-26 04:59:22 EDT
The fix that was applied here is not correct (randomization as used here does not help) and was not actually needed (NODENAME_HASH uses fixed, hard-coded set of strings as HashMap keys):

https://sourceforge.net/tracker/index.php?func=detail&aid=3535383&group_id=128809&atid=712784

It seems upstream will eventually revert the fix.

Note You need to log in before you can comment on or make changes to this bug.